Bug 595933 - Build Solr search plugin
Summary: Build Solr search plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 23:11 UTC by Adrien Bustany
Modified: 2010-06-24 16:25 UTC (History)
1 user (show)

Fixed In Version: dovecot-1.2.11-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-24 16:25:00 UTC
Type: ---


Attachments (Terms of Use)

Description Adrien Bustany 2010-05-25 23:11:00 UTC
Description of problem:
Currently, Dovecot is not built with the Solr search plugin enabled. Building the Solr plugin does not add any build time or runtime dependencies, and makes connecting to an external indexing server to provide full text search easier.

Dovecot version dovecot-1.2.11-3

Comment 1 Michal Hlavinka 2010-06-01 11:22:42 UTC
added to dovecot-1.2.11-4.fc13

Comment 2 Fedora Update System 2010-06-01 11:32:05 UTC
dovecot-1.2.11-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dovecot-1.2.11-4.fc13

Comment 3 Paul Howarth 2010-06-01 12:14:47 UTC
It's actually adding build-time and run-time dependencies on libcurl and expat but I don't think either of those is a big deal.

Comment 4 Michal Hlavinka 2010-06-01 12:26:53 UTC
yes, I know, but these libraries are so deep that there can hardly be any system (fedora/rhel) without them already installed.

Comment 5 Adrien Bustany 2010-06-01 12:28:27 UTC
Yes, Dovecot talks with Solr over XML/HTTP (hence expat + curl). I hope it's fine for you...

Comment 6 Fedora Update System 2010-06-01 18:27:25 UTC
dovecot-1.2.11-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dovecot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dovecot-1.2.11-4.fc13

Comment 7 Fedora Update System 2010-06-24 16:24:55 UTC
dovecot-1.2.11-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.